
struct GradeList {
    private var grades: [Int] = []
    var lowest: Int? {
        return self.grades.min()  // note: min returns nil if empty
    }

    mutating func recordGrade(of grade: Int) {
        self.grades.append(grade)
    }

    func average() -> Double {
        guard grades.count > 0 else { return 0.0 }
        
        var sum = 0
        for g in self.grades {
            sum += g
        }

        if self.grades.count > 2 {
            return Double(sum-self.lowest!)/Double(self.grades.count-1)
        }
        else {
            return Double(sum)/Double(self.grades.count)
        }
    }
}

var glist = GradeList()

print(glist.average())
print(glist.lowest)

glist.recordGrade(of: 91)
glist.recordGrade(of: 88)
glist.recordGrade(of: 94)

print(glist.average())
print(glist.lowest)


enum Answer {
    case yes, no, maybe
}

enum DayOfWeek {
    case Monday, Tuesday, Wednesday, Thursday,
    Friday, Saturday, Sunday
}

var response = Answer.yes

if (response == .yes || response == .no) {   // Swift infers the
    print("That's a decisive answer")        // enum type
}

var today: DayOfWeek = .Tuesday

print(today)

